ALAS-2017-858


Amazon Linux AMI Security Advisory: ALAS-2017-858
Advisory Release Date: 2017-07-24 23:16 Pacific
Severity: Important

Issue Overview:

Security Fix(es): A flaw was found in the way BIND handled TSIG authentication for dynamic updates. A remote attacker able to communicate with an authoritative BIND server could use this flaw to manipulate the contents of a zone, by forging a valid TSIG or SIG(0) signature for a dynamic update request. A flaw was found in the way BIND handled TSIG authentication of AXFR requests. A remote attacker, able to communicate with an authoritative BIND server, could use this flaw to view the entire contents of a zone by sending a specially constructed request packet. (CVE-2017-3142 , CVE-2017-3143 )


Affected Packages:

bind


Issue Correction:
Run yum update bind to update your system.

New Packages:
i686:
    bind-sdb-9.8.2-0.62.rc1.56.amzn1.i686
    bind-libs-9.8.2-0.62.rc1.56.amzn1.i686
    bind-debuginfo-9.8.2-0.62.rc1.56.amzn1.i686
    bind-devel-9.8.2-0.62.rc1.56.amzn1.i686
    bind-utils-9.8.2-0.62.rc1.56.amzn1.i686
    bind-chroot-9.8.2-0.62.rc1.56.amzn1.i686
    bind-9.8.2-0.62.rc1.56.amzn1.i686

src:
    bind-9.8.2-0.62.rc1.56.amzn1.src

x86_64:
    bind-devel-9.8.2-0.62.rc1.56.amzn1.x86_64
    bind-chroot-9.8.2-0.62.rc1.56.amzn1.x86_64
    bind-utils-9.8.2-0.62.rc1.56.amzn1.x86_64
    bind-9.8.2-0.62.rc1.56.amzn1.x86_64
    bind-debuginfo-9.8.2-0.62.rc1.56.amzn1.x86_64
    bind-sdb-9.8.2-0.62.rc1.56.amzn1.x86_64
    bind-libs-9.8.2-0.62.rc1.56.amzn1.x86_64